/*
 * Copyright (C) 2018 Oracle.  All Rights Reserved.
 *
 * Author: Darrick J. Wong <darrick.wong@oracle.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it would be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write the Free Software Foundation,
 * Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef XFS_SCRUB_COUNTER_H_
#define XFS_SCRUB_COUNTER_H_

struct ptcounter;
struct ptcounter *ptcounter_init(size_t nr);
void ptcounter_free(struct ptcounter *ptc);
void ptcounter_add(struct ptcounter *ptc, int64_t nr);
uint64_t ptcounter_value(struct ptcounter *ptc);

#endif /* XFS_SCRUB_COUNTER_H_ */
